doctrine:
    dbal:
        driver:   pdo_mysql
        #host:     'monchemmcsr70.mysql.db'
        #dbname:   'monchemmcsr70'
        #user:     'monchemmcsr70'
        #password: 'K1TsRGCvvAQwoTS68dD0'

        host:     'localhost'
        dbname:   'warindtj_billing_r7'
        user:     'warindtj_user7'
        password: '%4-X4our{bmT'
        charset:  'utf8'
    orm:
        auto_generate_proxy_classes: true
        metadata_cache_driver:
            type: pool
            pool: doctrine.system_cache_pool
        query_cache_driver:
            type: pool
            pool: doctrine.system_cache_pool
        result_cache_driver:
            type: pool
            pool: doctrine.result_cache_pool
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: true
        mappings:
            App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
        dql:
            string_functions:
                JSON_EXTRACT: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonExtract
                JSON_SEARCH: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonSearch
                JSON_CONTAINS: Scienta\DoctrineJsonFunctions\Query\AST\Functions\Mysql\JsonContains
                GROUP_CONCAT: DoctrineExtensions\Query\Mysql\GroupConcat
                CONCAT: DoctrineExtensions\Query\Mysql\ConcatWs

framework:
    cache:
        pools:
            doctrine.result_cache_pool:
                adapter: cache.app
            doctrine.system_cache_pool:
                adapter: cache.system
